cURL
curl -X PUT "https://app.cotool.ai/api/hunt/alert-creation-settings" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"minimumExposureBand":"medium","alertOnCompromiseBelowThreshold":true}'import requests
url = "https://app.cotool.ai/api/hunt/alert-creation-settings"
payload = { "alertOnCompromiseBelowThreshold": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({alertOnCompromiseBelowThreshold: true})
};
fetch('https://app.cotool.ai/api/hunt/alert-creation-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.put("https://app.cotool.ai/api/hunt/alert-creation-settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"alertOnCompromiseBelowThreshold\": true\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/hunt/alert-creation-settings"
payload := strings.NewReader("{\n \"alertOnCompromiseBelowThreshold\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"minimumExposureBand": "medium",
"alertOnCompromiseBelowThreshold": true
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Hunt
Update Hunt Alert creation settings
Update the organization-wide minimum exposure band and compromise-signal override used to create or reopen Hunt Alerts.
PUT
/
api
/
hunt
/
alert-creation-settings
cURL
curl -X PUT "https://app.cotool.ai/api/hunt/alert-creation-settings" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"minimumExposureBand":"medium","alertOnCompromiseBelowThreshold":true}'import requests
url = "https://app.cotool.ai/api/hunt/alert-creation-settings"
payload = { "alertOnCompromiseBelowThreshold": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({alertOnCompromiseBelowThreshold: true})
};
fetch('https://app.cotool.ai/api/hunt/alert-creation-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.put("https://app.cotool.ai/api/hunt/alert-creation-settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"alertOnCompromiseBelowThreshold\": true\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/hunt/alert-creation-settings"
payload := strings.NewReader("{\n \"alertOnCompromiseBelowThreshold\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"minimumExposureBand": "medium",
"alertOnCompromiseBelowThreshold": true
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Authorizations
API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here
Body
application/json
Response
Successful response
Was this page helpful?
⌘I